searchNodes=[{"ref":"readme.html","title":"README","type":"extras","doc":"CredoNaming is a suite of checks to enforce naming best practices in an Elixir project."},{"ref":"readme.html#installation","title":"README - Installation","type":"extras","doc":"Add the :credo_naming package to your mix.exs dependencies: def deps do [ {:credo_naming, &quot;~&gt; 0.4&quot;, only: [:dev, :test], runtime: false} ] end"},{"ref":"readme.html#usage","title":"README - Usage","type":"extras","doc":"You just need to add the checks you want in your .credo.exs configuration file. Avoid specific terms in module names This check will raise an issue if specific terms are found in module names. {CredoNaming.Check.Warning.AvoidSpecificTermsInModuleNames, terms: [&quot;Manager&quot;, ~r/Helpers?/]} Suppose you have a MyApp.ErrorHelpers module: $ mix credo ┃ Warnings - please take a look ┃ ┃ [W] ↘ `Helpers` is included in the list of terms to avoid in module names. ┃ Consider replacing it with a more accurate one. ┃ lib/my_app/error_helpers.ex:1:39 #(MyApp.ErrorHelpers) With this check configuration for example, a module named MyApp.UserManager or MyApp.FormHelpers would not be allowed. Ensure module/filename consistency This check will raise an issue if the name of a module defined in a file does not match its filename. {CredoNaming.Check.Consistency.ModuleFilename} Suppose you have a lib/foo.ex file that defines a Bar module: $ mix credo ┃ Consistency ┃ ┃ [C] ↘ The module defined in `lib/foo.ex` is not named consistently with the ┃ filename. The file should be named either: ┃ ┃ [&quot;lib/bar/bar.ex&quot;, &quot;lib/bar.ex&quot;] ┃ ┃ lib/foo.ex:1:11 #(Bar) Exclusions You can exclude files or paths with the excluded_paths option: {CredoNaming.Check.Consistency.ModuleFilename, excluded_paths: [&quot;test/support&quot;, &quot;priv&quot;, &quot;rel&quot;, &quot;mix.exs&quot;]} Acronyms The check converts module names to paths using PascalCase convention, which means that the file lib/myapp_graphql.ex is expected to define the module: defmodule MyappGraphql do end If you want to define your own acronyms, you can do so using the acronyms option: {CredoNaming.Check.Consistency.ModuleFilename, acronyms: [{&quot;MyAppGraphQL&quot;, &quot;myapp_graphql&quot;}]} Using this, the lib/myapp_graphql.ex file will expect to define the module: defmodule MyAppGraphQL do end"},{"ref":"readme.html#contributors","title":"README - Contributors","type":"extras","doc":"Rémi Prévost (@remiprev) Tomáš Janoušek (@liskin)"},{"ref":"readme.html#license","title":"README - License","type":"extras","doc":"CredoNaming is © 2019 Mirego and may be freely distributed under the New BSD license. See the LICENSE.md file. The tag logo is based on this lovely icon by Vectors Point, from The Noun Project. Used under a Creative Commons BY 3.0 license."},{"ref":"readme.html#about-mirego","title":"README - About Mirego","type":"extras","doc":"Mirego is a team of passionate people who believe that work is a place where you can innovate and have fun. We’re a team of talented people who imagine and build beautiful Web and mobile applications. We come together to share ideas and change the world. We also love open-source software and we try to give back to the community as much as we can."}]